## peruse 1.80+dfsg

=== CMakeLists.txt ===
cmake_policy(SET CMP0048 NEW)
project(peruse VERSION "1.80.0")
cmake_minimum_required(VERSION 3.1.0)

set(KF5_DEP_VERSION "5.75.0") # handled by release scripts
set(QT5_DEP_VERSION "5.14")

if(POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif(POLICY CMP0063)

include(FeatureSummary)

option(USE_PERUSE_PDFTHUMBNAILER "Use the internal thumbnail generator for PDF files (defaults to true on windows)" OFF)
add_feature_info(USE_PERUSE_PDFTHUMBNAILER ${USE_PERUSE_PDFTHUMBNAILER} "Use the internal thumbnail generator for PDF files (defaults to true on windows)")
if(WIN32)
    set(USE_PERUSE_PDFTHUMBNAILER ON)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

# Android has no DBus, so we can't use that. Sniff things and tell the code
if(CMAKE_SYSTEM_NAME STREQUAL Android)
    message("Building for Android - this means no dbus, and other small details. Work with that")
    add_definitions(-DANDROID)
    SET(QT_QMAKE_EXECUTABLE "$ENV{Qt5_android}/bin/qmake")
elseif(WIN32)
    message("Building for Windows - this means no dbus, and other small details. Work with that")
    add_definitions(-DWINDOWS)
endif()

find_package(Qt5 ${QT5_DEP_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Gui Widgets OpenGL Sql)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
    COMPONENTS
    Archive
    Config
    Crash
    Declarative
    GuiAddons
    FileMetaData
    I18n
    IconThemes
    KIO
    NewStuffQuick
    # For some reason, these show up in the OPTIONAL section if they're not explicitly listed, and that's just confusing, so...
    Attica
    Auth
    Codecs
    Completion
    ConfigWidgets
    CoreAddons
    ItemViews
    JobWidgets
    NewStuffCore
    Package
    Service
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
)
find_package(KF5Baloo ${KF5_DEP_VERSION}) # optional - we'll just let it pass if it's missing
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "KDE's Framework which implements file indexing"
    PURPOSE "Used by the ContentLister library to find books on the system if available (if unavailable, we will fall back to a classic file system scraper)"
    TYPE OPTIONAL
)
find_package(KF5Kirigami2 ${KF5_DEP_VERSION})
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required at runtime to display the GUI"
    TYPE RUNTIME
)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    PURPOSE "Required for the unarr based rar support used for reading books in the CBR format"
    TYPE REQUIRED
)

# The following checks for the QQuickTextNode private header
# The original checking code can be found in QtWebKit
include(CheckCXXSourceCompiles)
macro(CHECK_QT5_PRIVATE_INCLUDE_DIRS _qt_component _header)
    set(INCLUDE_TEST_SOURCE
    "
        #include <${_header}>
        int main() { return 0; }
    "
    )
    set(CMAKE_REQUIRED_INCLUDES ${Qt5${_qt_component}_PRIVATE_INCLUDE_DIRS})
    set(CMAKE_REQUIRED_LIBRARIES Qt5::${_qt_component})

    # Avoid check_include_file_cxx() because it performs linking but doesn't support CMAKE_REQUIRED_LIBRARIES (doh!)
    check_cxx_source_compiles("${INCLUDE_TEST_SOURCE}" Qt5${_qt_component}_PRIVATE_HEADER_FOUND)

    unset(INCLUDE_TEST_SOURCE)
    unset(CMAKE_REQUIRED_INCLUDES)
    unset(CMAKE_REQUIRED_LIBRARIES)

    if (NOT Qt5${_qt_component}_PRIVATE_HEADER_FOUND)
        message(FATAL_ERROR "Header ${_header} is not found. Please make sure that:
    1. Private headers of Qt5${_qt_component} are installed
    2. Qt5${_qt_component}_PRIVATE_INCLUDE_DIRS is correctly defined in Qt5${_qt_component}Config.cmake")
    endif ()
endmacro()
CHECK_QT5_PRIVATE_INCLUDE_DIRS(Quick private/qquicktextnode_p.h)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMAddQch)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

set(CMAKE_AUTORCC ON)

kde_enable_exceptions()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PERUSE
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_BINARY_DIR}/config-peruse.h"
)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== src/CMakeLists.txt ===
# A library for managing acbf (Advanced Comic Book Format) data, as defined by http://acbf.wikia.com/wiki/Specifications
add_subdirectory(acbf)

# Content provider Quick2 plugin
add_subdirectory(contentlist)

# Our Qt Quick plugin
add_subdirectory(qtquick)

# Comon helper library shared between app and creator.
add_subdirectory(common)

# Base application
add_subdirectory(app)

# Creator application
add_subdirectory(creator)

=== src/acbf/CMakeLists.txt ===
set(acbf_SRCS
    AcbfAuthor.cpp
    AcbfBinary.cpp
    AcbfBody.cpp
    AcbfBookinfo.cpp
    AcbfContentrating.cpp
    AcbfData.cpp
    AcbfDatabaseref.cpp
    AcbfDocument.cpp
    AcbfDocumentinfo.cpp
    AcbfFrame.cpp
    AcbfIdentifiedObjectModel.cpp
    AcbfInternalReference.cpp
    AcbfInternalReferenceObject.cpp
    AcbfJump.cpp
    AcbfLanguage.cpp
    AcbfMetadata.cpp
    AcbfPage.cpp
    AcbfPublishinfo.cpp
    AcbfReferences.cpp
    AcbfReference.cpp
    AcbfSequence.cpp
    AcbfStyle.cpp
    AcbfStyleSheet.cpp
    AcbfTextarea.cpp
    AcbfTextlayer.cpp
)

set(acbf_HEADERS
    AcbfAuthor.h
    AcbfBinary.h
    AcbfBody.h
    AcbfBookinfo.h
    AcbfContentrating.h
    AcbfData.h
    AcbfDatabaseref.h
    AcbfDocument.h
    AcbfDocumentinfo.h
    AcbfFrame.h
    AcbfIdentifiedObjectModel.h
    AcbfInternalReference.h
    AcbfInternalReferenceObject.h
    AcbfJump.h
    AcbfLanguage.h
    AcbfMetadata.h
    AcbfPage.h
    AcbfPublishinfo.h
    AcbfReferences.h
    AcbfReference.h
    AcbfSequence.h
    AcbfStyle.h
    AcbfStyleSheet.h
    AcbfTextarea.h
    AcbfTextlayer.h
)

ecm_qt_declare_logging_category(acbf_SRCS
    HEADER acbf_debug.h
    IDENTIFIER ACBF_LOG
    CATEGORY_NAME org.kde.peruse.acbf
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Advanced Comic Book Format (aka ACBF)"
    EXPORT AdvancedComicBookFormat
)

add_library(acbf SHARED ${acbf_SRCS})
include(ECMGenerateExportHeader)
ecm_generate_export_header(acbf
    EXPORT_FILE_NAME acbf_export.h
    BASE_NAME acbf
    VERSION ${PROJECT_VERSION}
)

target_link_libraries(acbf
    PUBLIC
    Qt5::Core
)
target_include_directories(acbf
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat>"
)

set_target_properties(acbf PROPERTIES
   VERSION ${PROJECT_VERSION}
   SOVERSION ${PERUSE_SOVERSION}
   OUTPUT_NAME acbf
   EXPORT_NAME AdvancedComicBookFormat
)

ecm_setup_version(PROJECT VARIABLE_PREFIX AdvancedComicBookFormat
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/acbf_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AdvancedComicBookFormatConfigVersion.cmake"
    SOVERSION ${PERUSE_SOVERSION}
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/AdvancedComicBookFormat")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS acbf_QCH
        FILE AdvancedComicBookFormatQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/AdvancedComicBookFormatQchTargets.cmake\")")

    ecm_add_qch(
        acbf_QCH
        NAME AdvancedComicBookFormat
        BASE_NAME AdvancedComicBookFormat
        VERSION ${PROJECT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${acbf_HEADERS}
        MD_MAINPAGE "${CMAKE_CURRENT_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            ACBF_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/AdvancedComicBookFormatConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/AdvancedComicBookFormatConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/AdvancedComicBookFormatConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/AdvancedComicBookFormatConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(FILES
    ${acbf_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/acbf_version.h
    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat" COMPONENT Devel
)

install(TARGETS acbf EXPORT AdvancedComicBookFormatTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(EXPORT AdvancedComicBookFormatTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE AdvancedComicBookFormatTargets.cmake )
ecm_qt_install_logging_categories(
    EXPORT AdvancedComicBookFormat
    FILE AdvancedComicBookFormat.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/common/CMakeLists.txt ===
add_library(peruse_helpers STATIC peruse_helpers.cpp )
target_link_libraries(peruse_helpers
    KF5::Crash
    KF5::Declarative
    Qt5::OpenGL
)

=== src/contentlist/CMakeLists.txt ===
set(qmlplugin_SRCS
    qmlplugin.cpp
    ContentList.cpp
    ContentListerBase.cpp
    FilesystemContentLister.cpp
    ContentQuery.cpp
)


if(KF5Baloo_FOUND)
    set(qmlplugin_baloo_SRCS
        BalooContentLister.cpp
    )
endif()

add_library (contentlistqmlplugin SHARED ${qmlplugin_SRCS} ${qmlplugin_baloo_SRCS})

target_link_libraries (contentlistqmlplugin
    Qt5::Gui
    Qt5::Qml
    KF5::FileMetaData
)

if(KF5Baloo_FOUND)
    target_compile_definitions(contentlistqmlplugin PRIVATE -DBALOO_FOUND="${KF5Baloo_FOUND}")
    target_link_libraries(contentlistqmlplugin    
        KF5::Baloo
    )
endif()

install (TARGETS contentlistqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/contentlist)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/contentlist)

=== src/creator/CMakeLists.txt ===
set(CREATOR_SRCS
    main.cpp
    resources.qrc
)

ecm_add_app_icon(CREATOR_SRCS ICONS "icon/128-apps-peruse-creator.png")

add_executable(perusecreator ${CREATOR_SRCS})
target_link_libraries(perusecreator
    Qt5::Core
    Qt5::Quick
    Qt5::Gui
    ${Qt5Gui_OPENGL_LIBRARIES}
    Qt5::Qml
    Qt5::Widgets
    Qt5::OpenGL
    KF5::I18n
    KF5::Declarative
    peruse_helpers
)
target_include_directories(perusecreator
    PRIVATE
    "${CMAKE_BINARY_DIR}"
)

install(TARGETS perusecreator ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.perusecreator.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

add_subdirectory(icon)

=== src/qtquick/CMakeLists.txt ===
add_subdirectory(karchive-rar)

set(qmlplugin_SRCS
    qmlplugin.cpp
    ArchiveBookModel.cpp
    ArchiveImageProvider.cpp
    BookDatabase.cpp
    BookModel.cpp
    BookListModel.cpp
    CategoryEntriesModel.cpp
    ComicCoverImageProvider.cpp
    FilterProxy.cpp
    FolderBookModel.cpp
    PeruseConfig.cpp
    PreviewImageProvider.cpp
    PropertyContainer.cpp
    TextDocumentEditor.cpp
    TextViewerItem.cpp
)

set(karchive_rar_SRCS
    karchive-rar/KRar.cpp
    karchive-rar/KRarFileEntry.cpp
)

if(USE_PERUSE_PDFTHUMBNAILER)
    set(qmlplugin_SRCS
        ${qmlplugin_SRCS}
        PDFCoverImageProvider.cpp
    )
endif()

ecm_qt_declare_logging_category(qmlplugin_SRCS
    HEADER qtquick_debug.h
    IDENTIFIER QTQUICK_LOG
    CATEGORY_NAME org.kde.peruse.qml
    DEFAULT_SEVERITY Warning
)

add_library (peruseqmlplugin SHARED ${qmlplugin_SRCS} ${karchive_rar_SRCS} $<TARGET_OBJECTS:karchive-c-unarr>)
if(USE_PERUSE_PDFTHUMBNAILER)
target_compile_definitions(peruseqmlplugin
    PRIVATE
    -DUSE_PERUSE_PDFTHUMBNAILER
)
endif()
target_include_directories(peruseqmlplugin
    PRIVATE
    karchive-rar
    karchive-rar/unarr
    acbf
    ${Qt5Quick_PRIVATE_INCLUDE_DIRS}
)
target_link_libraries (peruseqmlplugin
    PUBLIC
    acbf
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    Qt5::Sql
    KF5::Archive
    KF5::IconThemes
    KF5::I18n
    KF5::ConfigCore
    KF5::GuiAddons
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::FileMetaData
    KF5::NewStuffCore
)

if (ZLIB_FOUND)
    target_include_directories(peruseqmlplugin PRIVATE ${ZLIB_INCLUDE_DIRS})
    target_link_libraries(peruseqmlplugin PRIVATE ${ZLIB_LIBRARIES})
    add_definitions(-DHAVE_ZLIB)
endif(ZLIB_FOUND)

install (TARGETS peruseqmlplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/peruse)
install (FILES peruse.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== src/app/icon/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-peruse.png sc-apps-peruse.svg DESTINATION ${ICON_INSTALL_DIR})

=== debian/changelog ===
peruse (1.80+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113399)

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:43:43 +0200

peruse (1.80+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove an obsolete maintscript entry.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Apr 2025 08:51:31 +0200

peruse (1.80+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kcm dependency, as it is needed.
    (Closes: #998801)
  * Update the references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Nov 2021 07:31:06 +0100

=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.75.0~),
               cmake (>= 3.1.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.75.0~),
               gettext,
               kirigami2-dev (>= 5.75.0~),
               libkf5archive-dev (>= 5.75.0~),
               libkf5attica-dev (>= 5.75.0~),
               libkf5auth-dev (>= 5.75.0~),
               libkf5codecs-dev (>= 5.75.0~),
               libkf5completion-dev (>= 5.75.0~),
               libkf5config-dev (>= 5.75.0~),
               libkf5configwidgets-dev (>= 5.75.0~),
               libkf5coreaddons-dev (>= 5.75.0~),
               libkf5crash-dev (>= 5.75.0~),
               libkf5declarative-dev (>= 5.75.0~),
               libkf5guiaddons-dev (>= 5.75.0~),
               libkf5i18n-dev (>= 5.75.0~),
               libkf5iconthemes-dev (>= 5.75.0~),
               libkf5itemviews-dev (>= 5.75.0~),
               libkf5jobwidgets-dev (>= 5.75.0~),
               libkf5kio-dev (>= 5.75.0~),
               libkf5newstuff-dev (>= 5.75.0~),
               libkf5package-dev (>= 5.75.0~),
               libkf5service-dev (>= 5.75.0~),
               libkf5solid-dev (>= 5.75.0~),
               libkf5widgetsaddons-dev (>= 5.75.0~),
               libkf5windowsystem-dev (>= 5.75.0~),
               libkf5xmlgui-dev (>= 5.75.0~),
               libqt5opengl5-dev (>= 5.14.0~),
               pkg-kde-tools (>= 0.15.16),
               qml-module-org-kde-newstuff,
               qtbase5-dev (>= 5.14.0~),
               qtbase5-private-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtdeclarative5-private-dev (>= 5.14.0~),
Standards-Version: 4.7.2
Homepage: https://peruse.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse

Package: peruse
Architecture: any
Depends: peruse-common (>= ${source:Version}),
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-newstuff,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: comic book reader
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.kde.org/stable/peruse/peruse-([\d\.]+)\.tar\.xz

## peruse 1.80+dfsg+20251117

=== debian/changelog ===
peruse (1.80+dfsg+20251117-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot on 2025-11-17.
  * debian/control: Migrate to Qt6 and KF6.
  * debian/patches: Refresh patches.
  * debian/patches/make-acbf-static.patch: Dropped to avoid linking issue
    on static libraries.
  * debian/rules: Instead, explicitly remove development files before
    dh_install.
  * debian/peruse.lintian-overrides: Added.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Dec 2025 14:28:15 -0500

=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: libkf6baloo-dev,
               cmake (>= 3.1.0~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.75.0~),
               gettext,
               libkirigami-dev,
               libkf6archive-dev,
               libkf6attica-dev,
               libkf6auth-dev,
               libkf6codecs-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6declarative-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6itemviews-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6newstuff-dev,
               libkf6package-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkf6widgetsaddons-dev,
               libkf6windowsystem-dev,
               kirigami-addons-dev,
               pkg-kde-tools (>= 0.15.16),
               qml6-module-org-kde-newstuff,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://peruse.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse

Package: peruse
Architecture: any
Depends: peruse-common (>= ${source:Version}),
         qml6-module-org-kde-kcmutils,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qtqml-models,
         qml6-module-qtquick-dialogs,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-okular,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         qml6-module-org-kde-kitemmodels,
         ${qml6:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: comic book reader
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Explicitly remove development files before installation
execute_before_dh_install:
	rm -rfv debian/tmp/usr/include/AdvancedComicBookFormat/
	rm -rfv debian/tmp/usr/lib/*/cmake/

## peruse 1.80+dfsg+20260214

=== debian/changelog ===
peruse (1.80+dfsg+20260214-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/control: Use canonical maintainer email address.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 19:11:48 -0500

peruse (1.80+dfsg+20251117-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Jan 2026 23:40:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: peruse
 Section: kde
-Priority: optional
-Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: libkf6baloo-dev,
                cmake (>= 3.1.0~),
@@ -39,10 +38,16 @@
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://peruse.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse
+Description: comic book reader
+ Peruse was created as a way to make exactly that as easy and pleasant
+ as possible, and to simply get out of the way and let you read your
+ comic books.  One could say that it allows you to peruse your comic
+ books at your leisure, but that would be a silly way of putting it -
+ so, peruse your comic books at your leisure!
 
 Package: peruse
 Architecture: any
@@ -67,22 +72,14 @@
          ${qml6:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Description: comic book reader
- Peruse was created as a way to make exactly that as easy and pleasant
- as possible, and to simply get out of the way and let you read your
- comic books.  One could say that it allows you to peruse your comic
- books at your leisure, but that would be a silly way of putting it -
- so, peruse your comic books at your leisure!
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
 
 Package: peruse-common
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: common files for peruse
- Peruse was created as a way to make exactly that as easy and pleasant
- as possible, and to simply get out of the way and let you read your
- comic books.  One could say that it allows you to peruse your comic
- books at your leisure, but that would be a silly way of putting it -
- so, peruse your comic books at your leisure!
+ ${source:Extended-Description}
  .
  This package contains architecture-independent peruse data files.

## peruse 1.80.0+zneon0+p24.04+vstable+git20251001.0546

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251001.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:46:19 +0000

peruse (1.80.0+zneon0) noble; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kcm dependency, as it is needed.
    (Closes: #998801)
  * Update the references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Nov 2021 07:31:06 +0100

## peruse 1.80.0+zneon0+p24.04+vstable+git20251005.1109

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251005.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:09:12 +0000

## peruse 1.80.0+zneon0+p24.04+vstable+git20251015.1434

=== CMakeLists.txt ===
cmake_policy(SET CMP0048 NEW)
project(peruse VERSION "1.80.0")
cmake_minimum_required(VERSION 3.16.0)

set(KF_DEP_VERSION "5.98.0") # handled by release scripts
set(QT_DEP_VERSION "5.15")

if(POLICY CMP0063)
    cmake_policy (SET CMP0063 NEW)
endif(POLICY CMP0063)

include(FeatureSummary)

option(USE_PERUSE_PDFTHUMBNAILER "Use the internal thumbnail generator for PDF files (defaults to true on windows)" OFF)
add_feature_info(USE_PERUSE_PDFTHUMBNAILER ${USE_PERUSE_PDFTHUMBNAILER} "Use the internal thumbnail generator for PDF files (defaults to true on windows)")
if(WIN32)
    set(USE_PERUSE_PDFTHUMBNAILER ON)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(ECM ${KF_DEP_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

# Android has no DBus, so we can't use that. Sniff things and tell the code
if(CMAKE_SYSTEM_NAME STREQUAL Android)
    message("Building for Android - this means no dbus, and other small details. Work with that")
    add_definitions(-DANDROID)
    SET(QT_QMAKE_EXECUTABLE "$ENV{Qt6_android}/bin/qmake")
elseif(WIN32)
    message("Building for Windows - this means no dbus, and other small details. Work with that")
    add_definitions(-DWINDOWS)
endif()

find_package(Qt6 ${QT_DEP_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Gui Widgets OpenGL Sql)

qt_policy(SET QTP0001 NEW)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
    Archive
    Config
    Crash
    Declarative
    GuiAddons
    FileMetaData
    I18n
    IconThemes
    KIO
    # For some reason, these show up in the OPTIONAL section if they're not explicitly listed, and that's just confusing, so...
    Attica
    Codecs
    Completion
    CoreAddons
    ItemViews
    JobWidgets
    NewStuffCore
    Package
    Service
    Solid
    WidgetsAddons
    WindowSystem
)

if (NOT WIN32)
    find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS Auth)
endif()

find_package(KF6Baloo ${KF_DEP_VERSION}) # optional - we'll just let it pass if it's missing
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "KDE's Framework which implements file indexing"
    PURPOSE "Used by the ContentLister library to find books on the system if available (if unavailable, we will fall back to a classic file system scraper)"
    TYPE OPTIONAL
)
find_package(KF6Kirigami ${KF_DEP_VERSION})
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required at runtime to display the GUI"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.11)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    PURPOSE "Required for the unarr based rar support used for reading books in the CBR format"
    TYPE REQUIRED
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMAddQch)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(KDEClangFormat)
include(KDEGitCommitHooks)

set(CMAKE_AUTORCC ON)

kde_enable_exceptions()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PERUSE
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_BINARY_DIR}/config-peruse.h"
)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Our Qt Quick plugin
 add_subdirectory(qtquick)
 
-# Comon helper library shared between app and creator.
+# Common helper library shared between app and creator.
 add_subdirectory(common)
 
 # Base application

=== src/acbf/CMakeLists.txt ===
--- 
+++ 
@@ -73,10 +73,10 @@
 
 target_link_libraries(acbf
     PUBLIC
-    Qt5::Core
+    Qt6::Core
 )
 target_include_directories(acbf
-    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat>"
+    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF6}/AdvancedComicBookFormat>"
 )
 
 set_target_properties(acbf PROPERTIES
@@ -114,7 +114,7 @@
         MD_MAINPAGE "${CMAKE_CURRENT_SOURCE_DIR}/README.md"
         IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
-            Qt5Core_QCH
+            Qt6Core_QCH
         INCLUDE_DIRS
             ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS
@@ -142,13 +142,29 @@
 install(FILES
     ${acbf_HEADERS}
     ${CMAKE_CURRENT_BINARY_DIR}/acbf_version.h
-    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat" COMPONENT Devel
+    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/AdvancedComicBookFormat" COMPONENT Devel
 )
 
-install(TARGETS acbf EXPORT AdvancedComicBookFormatTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS acbf EXPORT AdvancedComicBookFormatTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(EXPORT AdvancedComicBookFormatTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE AdvancedComicBookFormatTargets.cmake )
 ecm_qt_install_logging_categories(
     EXPORT AdvancedComicBookFormat
     FILE AdvancedComicBookFormat.categories
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
+
+### QML Plugin
+
+ecm_add_qml_module(acbfplugin
+    URI "org.kde.peruse.acbf"
+    GENERATE_PLUGIN_SOURCE
+    DEPENDENCIES
+        org.kde.coreaddons
+    SOURCES
+        qmlplugin.h
+        qmlplugin.cpp
+)
+
+target_link_libraries(acbfplugin PUBLIC acbf Qt::QmlIntegration)
+
+ecm_finalize_qml_module(acbfplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(peruse main.cpp)

ecm_add_qml_module(peruse
    URI "org.kde.peruse.app"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        "org.kde.peruse.thumbnail"
        "org.kde.kirigami"
        "org.kde.kirigamiaddons.formcard"
        "org.kde.kirigamiaddons.delegates"
    QML_FILES
        qml/Book.qml
        qml/BookInfoPage.qml
        qml/Bookshelf.qml
        qml/FileFinder.qml
        qml/Main.qml
        qml/MobileMain.qml
        qml/PeruseContextDrawer.qml
        qml/PeruseMain.qml
        qml/Settings.qml
        qml/Store.qml
        qml/WelcomePage.qml
        qml/BooksByTitlePage.qml
        qml/CategoryPage.qml
)

ecm_target_qml_sources(peruse
    PRIVATE
    PATH qml/listcomponents
    SOURCES
        qml/listcomponents/BookTile.qml
        qml/listcomponents/BookTileTall.qml
        qml/listcomponents/CategoryTile.qml
        qml/listcomponents/CategoryTileTall.qml
        qml/listcomponents/ListPageHeader.qml
)

ecm_target_qml_sources(peruse
    PRIVATE
    PATH qml/viewers
    SOURCES
        qml/viewers/ImageBrowser.qml
        qml/viewers/ViewerBase.qml
        qml/viewers/cbr.qml
        qml/viewers/folderofimages.qml
        qml/viewers/okular.qml
)

ecm_target_qml_sources(peruse
    PRIVATE
    PATH qml/viewers/helpers
    SOURCES
        qml/viewers/helpers/HolyRectangle.qml
        qml/viewers/helpers/JumpHandler.qml
        qml/viewers/helpers/Navigator.qml
        qml/viewers/helpers/TextAreaHandler.qml
)

ecm_add_app_icon(peruse ICONS "icon/128-apps-peruse.png")

ecm_qt_declare_logging_category(peruse
    HEADER app_debug.h
    IDENTIFIER APP_LOG
    CATEGORY_NAME org.kde.peruse.app
    DEFAULT_SEVERITY Warning
)

target_link_libraries(peruse PRIVATE
    Qt::Core
    Qt::Quick
    Qt::Gui
    ${QtGui_OPENGL_LIBRARIES}
    Qt::Qml
    Qt::Widgets
    Qt::OpenGL
    KF${QT_MAJOR_VERSION}::I18n
    peruse_helpers
)

target_include_directories(peruse PRIVATE "${CMAKE_BINARY_DIR}")

install(TARGETS peruse ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.peruse.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.peruse.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

add_subdirectory(icon)

=== src/common/CMakeLists.txt ===
add_library(peruse_helpers STATIC peruse_helpers.cpp )
target_link_libraries(peruse_helpers
    KF6::CoreAddons
    KF6::Crash
    KF6::IconThemes
    KF6::I18n
    Qt6::OpenGL
    Qt6::Quick
)

if (NOT ANDROID)
    target_link_libraries(peruse_helpers Qt6::Widgets)
endif()

=== src/contentlist/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clauses

ecm_add_qml_module(contentlistqmlplugin
    URI "org.kde.peruse.contentlist"
    GENERATE_PLUGIN_SOURCE
)

target_sources(contentlistqmlplugin PRIVATE
    ContentList.cpp
    ContentList.h
    ContentListerBase.cpp
    ContentListerBase.h
    FilesystemContentLister.cpp
    FilesystemContentLister.h
    ContentQuery.cpp
    ContentQuery.h
)

target_link_libraries(contentlistqmlplugin PRIVATE
    Qt::Gui
    Qt::Qml
    KF6::FileMetaData
)

if (TARGET KF::Baloo)
    target_sources(contentlistqmlplugin PRIVATE
        BalooContentLister.cpp
        BalooContentLister.h
    )
    target_compile_definitions(contentlistqmlplugin PRIVATE -DBALOO_FOUND=1)
    target_link_libraries(contentlistqmlplugin PRIVATE KF6::Baloo)
endif()

ecm_finalize_qml_module(contentlistqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/creator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clauses

ecm_add_app_icon(CREATOR_SRCS ICONS "icon/128-apps-peruse-creator.png")
add_executable(perusecreator main.cpp ${CREATOR_SRCS})

ecm_add_qml_module(perusecreator
    GENERATE_PLUGIN_SOURCE
    URI org.kde.peruse.creator
    QML_FILES
        qml/AddPageArea.qml
        qml/AddPageSheet.qml
        qml/Book.qml
        qml/BookBasics.qml
        qml/BookBinaries.qml
        qml/BookBinaryEditor.qml
        qml/BookReferenceEditor.qml
        qml/BookReferences.qml
        qml/BookStylesheet.qml
        qml/BookMetainfoPage.qml
        qml/BookPage.qml
        qml/CreateNewBook.qml
        qml/EditPageArea.qml
        qml/LinkEditorSheet.qml
        qml/Main.qml
        qml/MessageBoxSheet.qml
        qml/PageMetaInfo.qml
        qml/SettingsPage.qml
        qml/WelcomePage.qml
        qml/metainfoeditors/AuthorEntryEditor.qml
        qml/metainfoeditors/LanguageTextEntryEditor.qml
)

target_link_libraries(perusecreator PRIVATE
    Qt::Core
    Qt::Quick
    Qt::Gui
    ${QtGui_OPENGL_LIBRARIES}
    Qt::Qml
    Qt::Widgets
    Qt::OpenGL
    KF6::I18n
    KF6::I18nQml
    peruse_helpers
)

install(TARGETS perusecreator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.perusecreator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.perusecreator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

add_subdirectory(icon)

=== src/qtquick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(karchive-rar)

add_library(qtquick_internal STATIC)
set_target_properties(qtquick_internal PROPERTIES POSITION_INDEPENDENT_CODE ON)

target_sources(qtquick_internal PUBLIC
    karchive-rar/KRar.cpp
    karchive-rar/KRarFileEntry.cpp
    $<TARGET_OBJECTS:karchive-c-unarr>
)


ecm_qt_declare_logging_category(qtquick_internal
    HEADER qtquick_debug.h
    IDENTIFIER QTQUICK_LOG
    CATEGORY_NAME org.kde.peruse.qml
    DEFAULT_SEVERITY Warning
)

target_include_directories(qtquick_internal PUBLIC
    karchive-rar
    karchive-rar/unarr
)

target_link_libraries(qtquick_internal PUBLIC
    acbf
    KF6::Archive
    KF6::IconThemes
    KF6::KIOCore
    KF6::KIOWidgets
)

#### Next Target: perusethumbnail

ecm_add_qml_module(perusethumbnail
    URI "org.kde.peruse.thumbnail"
)

target_link_libraries(perusethumbnail PUBLIC
    acbf
    qtquick_internal
    Qt::Quick
    KF6::CoreAddons
    KF6::GuiAddons
    KF6::Archive
)

target_sources(perusethumbnail PRIVATE
    qmlplugin.cpp
    qmlplugin.h
    PreviewImageProvider.cpp
    ComicCoverImageProvider.cpp
)

if(USE_PERUSE_PDFTHUMBNAILER)
    target_sources(perusethumbnail PRIVATE
        PDFCoverImageProvider.cpp
    )
endif()

ecm_finalize_qml_module(perusethumbnail DESTINATION ${KDE_INSTALL_QMLDIR})

#### Next Target: peruseqmlplugin

ecm_add_qml_module(peruseqmlplugin
    URI "org.kde.peruse"
    GENERATE_PLUGIN_SOURCE
    IMPORTS
        "org.kde.peruse.thumbnail"
)

target_sources(peruseqmlplugin PRIVATE
    ArchiveBookModel.cpp
    ArchiveImageProvider.cpp
    BookDatabase.cpp
    BookModel.cpp
    BookListModel.cpp
    CategoryEntriesModel.cpp
    FilterProxy.cpp
    FolderBookModel.cpp
    PeruseConfig.cpp
    TextDocumentEditor.cpp
    TextViewerItem.cpp

    types.cpp
)

target_include_directories(peruseqmlplugin PRIVATE acbf)

target_link_libraries (peruseqmlplugin PUBLIC
    acbf
    qtquick_internal
    Qt::Core
    Qt::Qml
    Qt::Quick
    Qt::Sql
    KF6::Archive
    KF6::I18n
    KF6::ConfigCore
    KF6::GuiAddons
    KF6::FileMetaData
    KF6::NewStuffCore
)

if (Qt_VERSION VERSION_GREATER_EQUAL 6.7.0)
    target_link_libraries(peruseqmlplugin PUBLIC Qt::QuickPrivate)
endif()

if (ZLIB_FOUND)
    target_include_directories(peruseqmlplugin PRIVATE ${ZLIB_INCLUDE_DIRS})
    target_link_libraries(peruseqmlplugin PRIVATE ${ZLIB_LIBRARIES})
    add_definitions(-DHAVE_ZLIB)
endif(ZLIB_FOUND)

if(USE_PERUSE_PDFTHUMBNAILER)
    target_compile_definitions(peruseqmlplugin PRIVATE
        -DUSE_PERUSE_PDFTHUMBNAILER
    )
endif()

ecm_finalize_qml_module(peruseqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

install(FILES peruse.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== src/app/icon/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-peruse.png sc-apps-peruse.svg DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/creator/icon/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-peruse-creator.png 256-apps-peruse-creator.png sc-apps-peruse-creator.svg DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/qtquick/karchive-rar/CMakeLists.txt ===
set(unarr_SRCS
    unarr/rar/uncompress-rar.c
    unarr/rar/huffman-rar.c
    unarr/rar/rar.c
    unarr/rar/filter-rar.c
    unarr/rar/rarvm.c
    unarr/rar/parse-rar.c
    unarr/lzmasdk/Ppmd7.c
    unarr/lzmasdk/Ppmd8.c
    unarr/lzmasdk/CpuArch.c
    unarr/lzmasdk/LzmaDec.c
    unarr/lzmasdk/Ppmd7Dec.c
    unarr/lzmasdk/Ppmd8Dec.c
    unarr/common/custalloc.c
    unarr/common/unarr.c
    unarr/common/stream.c
    unarr/common/conv.c
    unarr/common/crc32.c
)

add_library(karchive-c-unarr OBJECT ${unarr_SRCS})
if (UNIX OR MINGW)
    target_compile_options(karchive-c-unarr PRIVATE -std=gnu99 -fomit-frame-pointer -D_FILE_OFFSET_BITS=64 -fPIC)
    set_property(TARGET karchive-c-unarr PROPERTY AUTOMOC OFF)
endif (UNIX OR MINGW)

if (ZLIB_FOUND)
    target_include_directories(karchive-c-unarr PRIVATE ${ZLIB_INCLUDE_DIRS})
endif(ZLIB_FOUND)

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251015.1434-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:34:19 +0000

## peruse 1.80.0+zneon0+p24.04+vstable+git20251019.0402

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251019.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:02:42 +0000

## peruse 1.80.0+zneon0+p24.04+vstable+git20260103.0022

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260103.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:22:08 +0000

## peruse 1.80.0+zneon0+p24.04+vstable+git20260105.0845

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260105.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:45:56 +0000

## peruse 1.80.0+zneon0+p24.04+vstable+git20260130.0829

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260130.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:29:09 +0000

## peruse 1.80.0+zneon0+p24.04+vunstable+git20260205.0720

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vunstable+git20260205.0720-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:20:25 +0000

=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               graphviz,
               kf6-attica-dev,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               kf6-kitemviews-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://peruse.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/peruse.git
Vcs-Browser: https://invent.kde.org/neon/extras/peruse
Maintainer: Neon CI <neon@kde.org>

Package: peruse
Architecture: any
Depends: kf6-kirigami,
         kf6-kirigami-addons,
         peruse-common (>= ${source:Version}),
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Description: comic book reader
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.

Package: peruse-dev
Architecture: any
Depends: peruse, qt6-base-dev, ${misc:Depends}
Description: dev files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains peruse dev and library files.

Package: peruse-doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains peruse documentation files.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
